Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(31)

Issue 2071163002: Add StructTraits for AcceleratedWidget instances. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year ago by rjkroege
Modified:
1 year ago
CC:
Aaron Boodman, abarth-chromium, ben+mojo_chromium.org, chromium-reviews, darin (slow to review), qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add StructTraits for AcceleratedWidget instances. Provide StructTraits for sending AcceleratedWidgets between processes. BUG=620927 Committed: https://crrev.com/4c267402a084f4873c3fbbaa79443f19960a7ef2 Cr-Commit-Position: refs/heads/master@{#401742}

Patch Set 1 #

Patch Set 2 : fix build #

Patch Set 3 : fix build #

Total comments: 1

Patch Set 4 : formatting #

Patch Set 5 : review comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+97 lines, -4 lines) Patch
M ui/gfx/mojo/BUILD.gn View 1 chunk +1 line, -0 lines 0 comments Download
A + ui/gfx/mojo/accelerated_widget.mojom View 1 chunk +3 lines, -4 lines 0 comments Download
A ui/gfx/mojo/accelerated_widget.typemap View 1 2 3 1 chunk +11 lines, -0 lines 0 comments Download
A ui/gfx/mojo/accelerated_widget_struct_traits.h View 1 2 3 4 1 chunk +47 lines, -0 lines 0 comments Download
M ui/gfx/mojo/struct_traits_unittest.cc View 1 2 3 4 4 chunks +30 lines, -0 lines 0 comments Download
M ui/gfx/mojo/traits_test_service.mojom View 2 chunks +4 lines, -0 lines 0 comments Download
M ui/gfx/typemaps.gni View 1 chunk +1 line, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 48 (23 generated)
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2071163002/1
1 year ago (2016-06-17 00:53:31 UTC) #2
rjkroege
Per discussion the other day. PTAL.
1 year ago (2016-06-17 01:02:25 UTC) #4
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: chromeos_daisy_chromium_compile_only_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromeos_daisy_chromium_compile_only_ng/builds/154365)
1 year ago (2016-06-17 01:07:16 UTC) #6
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2071163002/20001
1 year ago (2016-06-17 19:26:53 UTC) #8
Ken Rockot(use gerrit already)
lgtm but nitty nit for the description: they are struct traits, not a struct trait. ...
1 year ago (2016-06-17 19:37:11 UTC) #9
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: win_chromium_compile_dbg_ng on tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_compile_dbg_ng/builds/207855)
1 year ago (2016-06-17 19:52:32 UTC) #12
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2071163002/40001
1 year ago (2016-06-17 22:58:51 UTC) #15
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
1 year ago (2016-06-18 00:02:21 UTC) #18
rjkroege
+tsepez@ for security review. +sadrul@ for general OWNERS
1 year ago (2016-06-18 00:17:36 UTC) #22
sadrul
lgtm
1 year ago (2016-06-20 19:31:12 UTC) #23
rjkroege
ptal
1 year ago (2016-06-21 18:22:46 UTC) #25
rjkroege
1 year ago (2016-06-21 18:24:34 UTC) #27
rjkroege
1 year ago (2016-06-21 18:25:19 UTC) #29
dcheng (OOO Jun 25 - Jul 1)
Do we have existing examples of code today that has to send HWNDs or other ...
1 year ago (2016-06-21 20:59:25 UTC) #30
Ken Rockot(use gerrit already)
I was able to find one example though there may be others: https://cs.chromium.org/chromium/src/chrome/common/chrome_utility_messages.h?rcl=0&l=129, which uses ...
1 year ago (2016-06-21 21:05:43 UTC) #31
rjkroege
On 2016/06/21 20:59:25, dcheng wrote: > Do we have existing examples of code today that ...
1 year ago (2016-06-21 21:24:50 UTC) #32
rjkroege
On 2016/06/21 21:24:50, rjkroege wrote: > On 2016/06/21 20:59:25, dcheng wrote: > > Do we ...
1 year ago (2016-06-21 21:27:02 UTC) #33
dcheng (OOO Jun 25 - Jul 1)
lgtm
1 year ago (2016-06-22 14:17:13 UTC) #34
dcheng (OOO Jun 25 - Jul 1)
https://codereview.chromium.org/2071163002/diff/40001/ui/gfx/mojo/accelerated_widget_struct_traits.h File ui/gfx/mojo/accelerated_widget_struct_traits.h (right): https://codereview.chromium.org/2071163002/diff/40001/ui/gfx/mojo/accelerated_widget_struct_traits.h#newcode17 ui/gfx/mojo/accelerated_widget_struct_traits.h:17: return uint64_t(widget); Nit: static_cast here and below rather than ...
1 year ago (2016-06-22 14:18:08 UTC) #35
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2071163002/60001
1 year ago (2016-06-23 14:31:22 UTC) #38
commit-bot: I haz the power
Try jobs failed on following builders: android_clang_dbg_recipe on tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_clang_dbg_recipe/builds/86222)
1 year ago (2016-06-23 14:51:35 UTC) #40
rjkroege
On 2016/06/22 14:18:08, dcheng wrote: > https://codereview.chromium.org/2071163002/diff/40001/ui/gfx/mojo/accelerated_widget_struct_traits.h > File ui/gfx/mojo/accelerated_widget_struct_traits.h (right): > > https://codereview.chromium.org/2071163002/diff/40001/ui/gfx/mojo/accelerated_widget_struct_traits.h#newcode17 > ...
1 year ago (2016-06-23 21:05:09 UTC) #43
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2071163002/80001
1 year ago (2016-06-23 21:05:12 UTC) #44
commit-bot: I haz the power
Committed patchset #5 (id:80001)
1 year ago (2016-06-23 22:13:42 UTC) #46
commit-bot: I haz the power
1 year ago (2016-06-23 22:15:48 UTC) #48
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/4c267402a084f4873c3fbbaa79443f19960a7ef2
Cr-Commit-Position: refs/heads/master@{#401742}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318